Activity log for bug #1689890

Date Who What changed Old value New value Message
2017-05-10 18:54:43 Travis Johnson bug added bug
2017-05-10 18:55:11 Travis Johnson summary Unable to identify CloudStack platform in IBM Bluemix Unable to identify datasource in IBM Bluemix
2017-05-17 20:41:21 Scott Moser cloud-init: status New Confirmed
2017-05-17 20:41:26 Scott Moser cloud-init: importance Undecided Medium
2017-05-17 20:44:46 Scott Moser bug added subscriber Patricia Gaughen
2017-05-17 20:44:54 Scott Moser bug added subscriber Dan Watkins
2017-05-25 14:13:37 Scott Moser description ************************************************************************** # A new feature in cloud-init identified possible datasources for # # this system as: # # ['NoCloud', 'None'] # # However, the datasource used was: ConfigDrive # # # # In the future, cloud-init will only attempt to use datasources that # # are identified or specifically configured. # # For more information see # # https://bugs.launchpad.net/bugs/1669675 # # # # If you are seeing this message, please file a bug against # # cloud-init at # # https://bugs.launchpad.net/cloud-init/+filebug?field.tags=dsid # # Make sure to include the cloud provider your instance is # # running on. # # # # After you have filed a bug, you can disable this warning by launching # # your instance with the cloud-config below, or putting that content # # into /etc/cloud/cloud.cfg.d/99-warnings.cfg # # # # #cloud-config # # warnings: # # dsid_missing_source: off # ************************************************************************** Disable the warnings above by: touch /root/.cloud-warnings.skip or touch /var/lib/cloud/instance/warnings/.skip This is in IBM Bluemix, I believe they use openstack (as hinted below) I don't know anything about cloud-init data sources, but here's how I retrieve user_data manually from within these instances: root@:~# mkdir -p /tmp/meta root@:~# mount /dev/xvdh1 /tmp/meta root@:~# tree /tmp/meta /tmp/meta ├── meta.js └── openstack ├── content │   └── interfaces └── latest ├── meta_data.json └── user_data 3 directories, 4 files root@:~# ************************************************************************** # A new feature in cloud-init identified possible datasources for # # this system as: # # ['NoCloud', 'None'] # # However, the datasource used was: ConfigDrive # # # # In the future, cloud-init will only attempt to use datasources that # # are identified or specifically configured. # # For more information see # # https://bugs.launchpad.net/bugs/1669675 # # # # If you are seeing this message, please file a bug against # # cloud-init at # # https://bugs.launchpad.net/cloud-init/+filebug?field.tags=dsid # # Make sure to include the cloud provider your instance is # # running on. # # # # After you have filed a bug, you can disable this warning by launching # # your instance with the cloud-config below, or putting that content # # into /etc/cloud/cloud.cfg.d/99-warnings.cfg # # # # #cloud-config # # warnings: # # dsid_missing_source: off # ************************************************************************** Disable the warnings above by:   touch /root/.cloud-warnings.skip or   touch /var/lib/cloud/instance/warnings/.skip This is in IBM Bluemix, I believe they use openstack (as hinted below) I don't know anything about cloud-init data sources, but here's how I retrieve user_data manually from within these instances: root@:~# mkdir -p /tmp/meta root@:~# mount /dev/xvdh1 /tmp/meta root@:~# tree /tmp/meta /tmp/meta ├── meta.js └── openstack     ├── content     │   └── interfaces     └── latest         ├── meta_data.json         └── user_data 3 directories, 4 files root@:~# Related bugs: * bug 1673637: cloud-init - Hosts in softlayer receiving warning
2017-07-13 18:36:11 Scott Moser tags dsid dsid dsid-block-xenial
2017-09-29 17:44:39 Francis Ginther tags dsid dsid-block-xenial dsid dsid-block-xenial id-591ce7b554857f22b9aa2dd7